!+ Function to calculate the atmospheric density.
!
! Method:
!	The atmospheric density is calculated from T and q.
!
! Current Owner of Code: J. M. Edwards
!
! History:
!	 Version 	   Date	  		Comment
!   
!	 1.0		   12-04-95		First Version under RCS
!						(J. M. Edwards)
!
! Description of Code:
!   FORTRAN 77 with extensions listed in documentation. 
!
!- ---------------------------------------------------------------------
      FUNCTION FNC_DENSITY(P, T, Q)
!
!
      IMPLICIT NONE
!
!
!     INCLUDE HEADER FILES.
      INCLUDE 'incl/physical_constants_1.ccf'
!
!     DUMMY VARIABLES
      REAL*8	!, INTENT(IN)
     &     P
!             PRESSURE
     &   , T
!             TEMPERATURE
     &   , Q
!             HUMIDITY
      REAL*8	!, INTENT(OUT)
     &     FNC_DENSITY
!             CALCULATED DENSITY
!
!
      FNC_DENSITY=P/(R_GAS_DRY*T*(1+(RATIO_MOLAR_WEIGHT-1.0D+00)*Q))
!
!
      RETURN
      END
